package com.zcxk.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dao.AppMapper;
import com.zcxk.entity.App;
import com.zcxk.service.AppService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 应用(App表)服务实现类
 *
 * @author makejava
 * @since 2020-10-20 17:08:14
 */
@Service("appService")
public class AppServiceImpl implements AppService {
    @Autowired
    private AppMapper appMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public App selectById(Integer id) {
        return this.appMapper.selectById(id);
    }


    /**
     * 查询所有
     *
     * @return 实例对象的集合
     */
    @Override
    public List<App> selectAll() {
        return this.appMapper.selectAll();
    }

    /**
     * 根据条件查询
     *
     * @return 实例对象的集合
     */
    @Override
    public List<App> selectList(App app) {
        return this.appMapper.selectList(app);
    }

    /**
     * 新增数据
     *
     * @param app 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(App app) {
        return this.appMapper.insert(app);
    }

    /**
     * 批量新增
     *
     * @param apps 实例对象的集合
     * @return 生效的条数
     */
    @Override
    public int batchInsert(List<App> apps) {
        return this.appMapper.batchInsert(apps);
    }

    /**
     * 修改数据
     *
     * @param app 实例对象
     * @return 实例对象
     */
    @Override
    public int update(App app) {

        return this.appMapper.update(app);
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public int deleteById(Integer id) {
        return this.appMapper.deleteById(id);
    }

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    @Override
    public int count() {
        return this.appMapper.count();
    }

    /**
     * 分页查询
     *
     * @return 对象列表
     */
    @Override
    public IPage<App> selectPage(App app, IPage<App> page) {
        return this.appMapper.selectPage(page, app);
    }
}